Subject: imap-send badly handles commit bodies beginning with "From <"

From: Andrew Eikum <[email-masked]>
Date: Fri, 28 Oct 2011 13:00:44 -0500

Ran into this today. I had a commit message that looked like:

---
Do something

>>From <http://url>:
Words
---

I put it through imap-send to email it to my project, and ended up
with this output:

sending 1 messages
 200% (2/1) done

On the server side, it was split into two mails on either side of that
commit message's From line with neither mail actually containing the
>From line. To fix it, I just changed it to "Copied from <url>:" :-P

Ain't mbox grand?